Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » GEF » Getting startet with GEF
Getting startet with GEF [message #230984] Sun, 25 February 2007 23:03 Go to next message
Eclipse UserFriend
Originally posted by: ii5840.fh-wedel.de

Hi again!

I tried to use some of the classes from the draw2d package when I
realised that eclipse won't find something has to do with the GEF
package although the "manage configuration" tells everything is allright
with GEF plugin installation.

So I decided to start up with a fresh eclipse installation.
I installed the eclipse SDK 3.2.1. Than used the "find and install"
funtion to search for the GEF plugin to install. I select the complete
GEF and all required plugins, downloaded and installed all.
After eclipse has restarted there are all selected plugins in help
topics or wizards. Only the GEF missing again. No help topic and no
wizards or examples shown in the dialogs. But the confiuration tells the
GEF is running.

I tried the "find updates" option for the GEF plugin as descriped in the
GEF FAQ page too. It tells me there are no updates available.

Is there something more to do to get started with GEF ?

Thanks and greeds, Jan
Re: Getting startet with GEF [message #230992 is a reply to message #230984] Mon, 26 February 2007 09:58 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: jakub.jurkiewicz.gmail.com

Hi,

Did you check, if there is a jar org.eclipse.gef_xxx in the plugins
directory of your Eclipse? And do you have a directory
org.eclipse.gef_xxx in the features directory of your Eclipse?

regards,
Jakub Jurkiewicz

Jan Bernitt wrote:
> Hi again!
>
> I tried to use some of the classes from the draw2d package when I
> realised that eclipse won't find something has to do with the GEF
> package although the "manage configuration" tells everything is allright
> with GEF plugin installation.
>
> So I decided to start up with a fresh eclipse installation.
> I installed the eclipse SDK 3.2.1. Than used the "find and install"
> funtion to search for the GEF plugin to install. I select the complete
> GEF and all required plugins, downloaded and installed all.
> After eclipse has restarted there are all selected plugins in help
> topics or wizards. Only the GEF missing again. No help topic and no
> wizards or examples shown in the dialogs. But the confiuration tells the
> GEF is running.
>
> I tried the "find updates" option for the GEF plugin as descriped in the
> GEF FAQ page too. It tells me there are no updates available.
>
> Is there something more to do to get started with GEF ?
>
> Thanks and greeds, Jan
Re: Getting startet with GEF [message #231013 is a reply to message #230992] Mon, 26 February 2007 11:53 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: ii5840.fh-wedel.de

Hi!

> Did you check, if there is a jar org.eclipse.gef_xxx in the plugins
> directory of your Eclipse? And do you have a directory
> org.eclipse.gef_xxx in the features directory of your Eclipse?


Yepp! There is directory "org.eclipse.gef_3.2.2.v20070208" in the
features folder and the jar "org.eclipse.gef_3.2.2.v20070208.jar" in the
plugin folder. A draw2D jar is still in that folder too.

Is it possible that there is a version conflict because I use SDK 3.2.1
and GEF 3.2.2 ?? The "find and install" downloaded this version so I
thought it should be ok but who knows ;)

regards, Jan
Re: Getting startet with GEF [message #231028 is a reply to message #231013] Mon, 26 February 2007 12:22 Go to previous message
Eclipse UserFriend
Originally posted by: jakub.jurkiewicz.gmail.com

Jan Bernitt wrote:
> Hi!
>
>> Did you check, if there is a jar org.eclipse.gef_xxx in the plugins
>> directory of your Eclipse? And do you have a directory
>> org.eclipse.gef_xxx in the features directory of your Eclipse?
>
>
> Yepp! There is directory "org.eclipse.gef_3.2.2.v20070208" in the
> features folder and the jar "org.eclipse.gef_3.2.2.v20070208.jar" in the
> plugin folder. A draw2D jar is still in that folder too.
>
> Is it possible that there is a version conflict because I use SDK 3.2.1
> and GEF 3.2.2 ??
It should be ok. From here:
http://download.eclipse.org/tools/gef/downloads/drops/R-3.2. 2-200702081315/index.php
you can see that GEF 3.2.2 requires Eclipse 3.2.1

Do you see anything interesting in .log file?

The "find and install" downloaded this version so I
> thought it should be ok but who knows ;)
>
> regards, Jan

regards,
Jakub Jurkiewicz
Previous Topic:getSourceConnectionAnchor
Next Topic:Creating multiple objects simultaneously
Goto Forum:
  


Current Time: Fri Nov 28 00:48:42 GMT 2014

Powered by FUDForum. Page generated in 0.02001 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software